Contents

# DDB Function [VBA]

Returns the depreciation of an asset for a specified period using the arithmetic-declining method.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    DDB(Cost As Double, Salvage As Double, Life as Double, Period as Double, [Factor as Variant])

### Return value:

Double

### Parameters:

Waagu uduunnichuha hanafote waagaati.

Xeishshu hornyo goofimarchu xeishshira uduunnichu hornyooti.

Life is the number of periods (for example, years or months) defining how long the asset is to be used.

Period states the period for which the value is to be calculated.

Factor (optional) is the factor by which depreciation decreases. If a value is not entered, the default is factor 2.

Jawiidi kaimu xe'ne hornyoshiimiidi xe'nera gurchote gede shiqishittoha ikkiro xe'ote konne suude horoonsiri. Xe'nete hornyo mitte mittente yannara shiima ikkitanno nnaduucha wote uduunnichu hirrihu gedensaanni harancho yanna giddo ba"annohura kaa'litanno (lawishshaho, kaameella, komipiyuuterra). Ballo wodanchi tenne shallago garinni maxaafu hornyi horontanni zeero di"iillanno.

### Error codes:

5 Horiweelo aante woshsho

### Example:

    Sub ExampleDDB
     Dim ddb_yr1 As Double
     ddb_yr1 = DDB(75000,1,60,12,2)
     Print ddb_yr1 ' returns 1,721.81 currency units.
    End Sub

Fiixoo'mino umo

DDB function in CALC

VBA financial functions